package intrinsic.flash.filters;

public class DropShadowFilter extends intrinsic.flash.filters.BitmapFilter {

	/** Accessors */
	public double angle;
	public double strength;
	public double alpha;
	public boolean knockout;
	public double distance;
	public int color;
	public double blurX;
	public double blurY;
	public int quality;
	public boolean hideObject;
	public boolean inner;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public DropShadowFilter() {
}

public DropShadowFilter(double arg0) {
}

public DropShadowFilter(double arg0, double arg1) {
}

public DropShadowFilter(double arg0, double arg1, int arg2) {
}

public DropShadowFilter(double arg0, double arg1, int arg2, double arg3) {
}

public DropShadowFilter(double arg0, double arg1, int arg2, double arg3, double arg4) {
}

public DropShadowFilter(double arg0, double arg1, int arg2, double arg3, double arg4, double arg5) {
}

public DropShadowFilter(double arg0, double arg1, int arg2, double arg3, double arg4, double arg5, double arg6) {
}

public DropShadowFilter(double arg0, double arg1, int arg2, double arg3, double arg4, double arg5, double arg6, int arg7) {
}

public DropShadowFilter(double arg0, double arg1, int arg2, double arg3, double arg4, double arg5, double arg6, int arg7, boolean arg8) {
}

public DropShadowFilter(double arg0, double arg1, int arg2, double arg3, double arg4, double arg5, double arg6, int arg7, boolean arg8, boolean arg9) {
}

public DropShadowFilter(double arg0, double arg1, int arg2, double arg3, double arg4, double arg5, double arg6, int arg7, boolean arg8, boolean arg9, boolean arg10) {
}


/** Static Methods */

/** Methods */
public native Object clone();

}
